import pytest
import requests

def test_ensure_all_repos_represented():
    """
    Make sure that the 'Technology_Table.md' covers all our repos.
    """
    testresult = True
    r = requests.get('https://foundation.aninix.net/')
    body = r.content.__str__()
    repos = [url for url in body.split('"') if url.startswith('/AniNIX') and not url.find('?') != -1 ]
    with open('Technology_Table.md') as techtable_file:
        techtable = techtable_file.read()
        for repo in repos:
            try: 
                testresult = (testresult and (techtable.index(repo) != -1))
            except ValueError as e:
                print(repo)
                print(e)
                testresult = False
    assert testresult
